Subject: Re: bug#61546: [PATCH] Fix some org functionality breaking upon changing `calendar-buffer'
From: Eli Zaretskii <[email-masked]>
To: Ihor Radchenko <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Tue, 02 May 2023 21:04:13 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked], Stefan Kangas <[email-masked]>
> From: Ihor Radchenko <[email-masked]>
> Date: Tue, 02 May 2023 11:38:40 +0000
> 
> Thuna <[email-masked]> writes:
> 
> > Some code in org seems to break when calendar-buffer is modified, as
> > they rely on it being its default value, "*Calendar*".  The attached
> > patch fixes that.  I haven't tested it, however, it should work fine.
> > The `require's all seem correct as well.
> 
> I now applied an equivalent patch onto main in Org.
> https://git.savannah.gnu.org/cgit/emacs/org-mode.git/commit/?id=9ea50ca21
> 
> Stefan, please note that part of the patch is for Emacs:

I'm not Stefan, but I've installed this part on the emacs-29 branch,
and I'm therefore closing the bug.